| edamdef

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find EDAM ontology terms by definition

## Description

edamdef searches the definition of EDAM terms and returns matching terms. The input is read from the installed EDAM database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified EDAM namespaces.

## Usage

Here is a sample session with edamdef

    % edamdef multiple
    Find EDAM ontology terms by definition
    Obo output file [edamdef.obo]:

Go to the output files for this example

Example 2

    % edamdef multiple -subclasses
    Find EDAM ontology terms by definition
    Obo output file [edamdef.obo]:

Go to the output files for this example

## Command line arguments

    Find EDAM ontology terms by definition
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-query]             string     Definition word(s) to search for in ontology
                                      (Any string)
      [-outfile]           outobo     [*.edamdef] Output ontology term file name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: data (Data entity);
                                      entity (Biological entity); format (Data
                                      format); identifier (Identifier); operation
                                      (Bioinformatics operation); resource (Data
                                      resource); topic (Field of bioinformatics
                                      study))

       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | Definition word(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.edamdef
Additional (Optional) qualifiers
-namespace | list | By default all terms are returned. Searches can be limited to one or a few namespaces. |
data | (Data entity)
entity | (Biological entity)
format | (Data format)
identifier | (Identifier)
operation | (Bioinformatics operation)
resource | (Data resource)
topic | (Field of bioinformatics study)
| *
Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

edamdef queries the EDAM ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: edamdef.obo

    [Term]
    id: EDAM_data:1354
    name: Sequence profile
    namespace: data
    def: Some type of statistical model representing a (typically multiple) sequence alignment.
    subset: data
    synonym: "sequence profile" EXACT [http://semanticscience.org/resource/SIO_010531]
    is_a: EDAM_data:3031 ! Core data
    relationship: has_topic EDAM_topic:0188 ! Sequence profiles and HMMs

    [Term]
    id: EDAM_operation:0467
    name: Protein secondary structure prediction (integrated)
    namespace: operation
    def: Predict secondary structure of protein sequence(s) using multiple methods to achieve better predictions.
    subset: operations
    is_a: EDAM_operation:0267 ! Protein secondary structure prediction

    [Term]
    id: EDAM_data:1385
    name: Sequence alignment (hybrid)
    namespace: data
    def: Alignment of multiple molecular sequences of different types.
    comment: Hybrid sequence alignments include for example genomic DNA to EST, cDNA or mRNA.
    subset: data
    is_a: EDAM_data:0863 ! Sequence alignment

    [Term]
    id: EDAM_data:1384
    name: Sequence alignment (protein)
    namespace: data
    def: Alignment of multiple protein sequences.
    subset: data
    is_a: EDAM_data:0863 ! Sequence alignment
    is_a: EDAM_data:3154 ! Protein alignment

    [Term]
    id: EDAM_data:0863
    name: Sequence alignment
    namespace: data
    def: Alignment of multiple molecular sequences.
    subset: data
    synonym: "Sequence alignment" EXACT [http://en.wikipedia.org/wiki/Sequence_alignment]
    synonym: "sequence alignment" EXACT [http://semanticscience.org/resource/SIO_010066]
    is_a: EDAM_data:1916 ! Alignment
    relationship: has_topic EDAM_topic:0182 ! Sequence alignment

    [Term]
    id: EDAM_operation:0520
    name: PCR primer design (for conserved primers)

      [Part of this file has been deleted for brevity]

    name: Comparative genomics
    namespace: topic
    def: Topic concerning the study (typically comparison) of the sequence, structure or function of multiple genomes.
    subset: topics
    xref: BioCatalogue:Comparative Genomics
    is_a: EDAM_topic:0622 ! Genomics

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    namespace: data
    def: A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method.
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: data
    synonym: "sequence_collection" EXACT [SO:0001260]
    is_a: EDAM_data:2955 ! Sequence report

    [Term]
    id: EDAM_operation:0487
    name: Haplotype inference
    namespace: operation
    def: Infer haplotypes, either alleles at multiple loci that are transmitted together on the same chromosome, or a set of single nucleotide polymorphisms (SNPs) on a single chromatid that are statistically associated.
    comment: Haplotype inference can help in population genetic studies and the identification of complex disease genes, , and is typically based on aligned single nucleotide polymorphism (SNP) fragments. Haplotype comparison is a useful way to characterize the genetic variation between individuals. An individual's haplotype describes which nucleotide base occurs at each position for a set of common SNPs. Tools might use combinatorial functions (for example parsimony) or a likelihood function or model with optimization such as minimum error correction (MEC) model, expectation-maximization algorithm (EM), genetic algorithm or Markov chain Monte Carlo (MCMC).
    subset: operations
    synonym: "Haplotype mapping" EXACT [http://edamontology.org]
    synonym: "Haplotype reconstruction" EXACT [http://edamontology.org]
    is_a: EDAM_operation:0283 ! Linkage analysis
    relationship: has_output EDAM_data:1863 {min_cardinality=1} ! Haplotype map

    [Term]
    id: EDAM_format:2001
    name: simple
    namespace: format
    def: EMBOSS simple multiple alignment format.
    subset: formats
    is_a: EDAM_format:2554 ! Alignment format (text)
    is_a: EDAM_format:2330 ! Textual format

    [Term]
    id: EDAM_operation:2499
    name: Splicing analysis
    namespace: operation
    def: Analyse (e.g. characterize and model) alternative splicing events from comparing multiple nucleic acid sequences.
    subset: operations
    synonym: "Splicing modelling" EXACT [http://edamontology.org]
    is_a: EDAM_operation:2508 ! Nucleic acid sequence comparison
    is_a: EDAM_operation:2426 ! Modelling and simulation
    is_a: EDAM_operation:3024 ! Prediction, detection and recognition (nucleic acid)
    relationship: has_output EDAM_data:1307 {min_cardinality=1} ! Nucleic acid features (splice sites)
    relationship: has_topic EDAM_topic:0114 ! Gene structure and RNA splicing

### Output files for usage example 2

### File: edamdef.obo

    [Term]
    id: EDAM_data:1354
    name: Sequence profile
    namespace: data
    def: Some type of statistical model representing a (typically multiple) sequence alignment.
    subset: data
    synonym: "sequence profile" EXACT [http://semanticscience.org/resource/SIO_010531]
    is_a: EDAM_data:3031 ! Core data
    relationship: has_topic EDAM_topic:0188 ! Sequence profiles and HMMs

    [Term]
    id: EDAM_data:1364
    name: Hidden Markov model
    namespace: data
    def: A hidden Markov model representation of a set or alignment of sequences.
    subset: data
    synonym: "HMM" EXACT [http://edamontology.org]
    is_a: EDAM_data:1354 ! Sequence profile

    [Term]
    id: EDAM_data:2854
    name: Position-specific scoring matrix
    namespace: data
    def: A simple matrix of numbers, where each value (or column of values) is derived derived from analysis of the corresponding position in a sequence alignment.
    subset: data
    is_a: EDAM_data:1354 ! Sequence profile
    is_a: EDAM_data:2082 ! Matrix

    [Term]
    id: EDAM_data:1361
    name: Position frequency matrix
    namespace: data
    def: A profile (typically representing a sequence alignment) that is a simple matrix of nucleotide (or amino acid) counts per position.
    subset: data
    synonym: "PFM" EXACT [http://edamontology.org]
    is_a: EDAM_data:2854 ! Position-specific scoring matrix

    [Term]
    id: EDAM_data:1362
    name: Position weight matrix
    namespace: data
    def: A profile (typically representing a sequence alignment) that is weighted matrix of nucleotide (or amino acid) counts per position.
    comment: Contributions of individual sequences to the matrix might be uneven (weighted).
    subset: data
    synonym: "PWM" EXACT [http://edamontology.org]
    is_a: EDAM_data:2854 ! Position-specific scoring matrix

    [Term]
    id: EDAM_data:1363
    name: Information content matrix

      [Part of this file has been deleted for brevity]

    id: EDAM_data:2245
    name: Sequence set (bootstrapped)
    namespace: data
    def: A collection of sequences output from a bootstrapping (resampling) procedure.
    comment: Bootstrapping is often performed in phylogenetic analysis.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_operation:0487
    name: Haplotype inference
    namespace: operation
    def: Infer haplotypes, either alleles at multiple loci that are transmitted together on the same chromosome, or a set of single nucleotide polymorphisms (SNPs) on a single chromatid that are statistically associated.
    comment: Haplotype inference can help in population genetic studies and the identification of complex disease genes, , and is typically based on aligned single nucleotide polymorphism (SNP) fragments. Haplotype comparison is a useful way to characterize the genetic variation between individuals. An individual's haplotype describes which nucleotide base occurs at each position for a set of common SNPs. Tools might use combinatorial functions (for example parsimony) or a likelihood function or model with optimization such as minimum error correction (MEC) model, expectation-maximization algorithm (EM), genetic algorithm or Markov chain Monte Carlo (MCMC).
    subset: operations
    synonym: "Haplotype mapping" EXACT [http://edamontology.org]
    synonym: "Haplotype reconstruction" EXACT [http://edamontology.org]
    is_a: EDAM_operation:0283 ! Linkage analysis
    relationship: has_output EDAM_data:1863 {min_cardinality=1} ! Haplotype map

    [Term]
    id: EDAM_format:2001
    name: simple
    namespace: format
    def: EMBOSS simple multiple alignment format.
    subset: formats
    is_a: EDAM_format:2554 ! Alignment format (text)
    is_a: EDAM_format:2330 ! Textual format

    [Term]
    id: EDAM_operation:2499
    name: Splicing analysis
    namespace: operation
    def: Analyse (e.g. characterize and model) alternative splicing events from comparing multiple nucleic acid sequences.
    subset: operations
    synonym: "Splicing modelling" EXACT [http://edamontology.org]
    is_a: EDAM_operation:2508 ! Nucleic acid sequence comparison
    is_a: EDAM_operation:2426 ! Modelling and simulation
    is_a: EDAM_operation:3024 ! Prediction, detection and recognition (nucleic acid)
    relationship: has_output EDAM_data:1307 {min_cardinality=1} ! Nucleic acid features (splice sites)
    relationship: has_topic EDAM_topic:0114 ! Gene structure and RNA splicing

    [Term]
    id: EDAM_operation:0264
    name: Splice transcript prediction
    namespace: operation
    def: Predict splicing alternatives or transcript isoforms from analysis of sequence data.
    subset: operations
    is_a: EDAM_operation:2499 ! Splicing analysis
    relationship: has_topic EDAM_topic:0114 ! Gene structure and RNA splicing

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None